• Documentation
  • API Reference
Information
Reviews
    Retrieve a reviewgetRetrieve all reviewsgetCreate a reviewpostList redline evaluations for a reviewgetRetrieve a single redline evaluationgetUpdate a redline evaluationpatchList flag violations for a reviewgetRetrieve a single flag violationgetUpdate a flag violationpatchDownload review bundle (ZIP)getDownload review audit documentgetDownload processed (redlined) contractgetDownload original uploaded contractget
Imported Files
    List imported filesget
Playbooks
    Retrieve all playbooksgetCreate a playbookpostRetrieve a playbookgetArchive a playbookdeleteUpdate a playbookpatch
Playbook Rules
    List playbook rulesgetCreate a playbook rulepostRetrieve a playbook rulegetDelete a playbook ruledeleteUpdate a playbook rulepatch
Invitations
    List invitationsgetCreate an invitationpostRetrieve an invitationget
Organization
    List organizationsgetRetrieve organizationgetUpdate organizationpatch
MCP
    MCP Serverpost
Schemas
powered by Zuplo
Gerri API
Gerri API

Invitations

Endpoints for listing, creating, and retrieving user invitations for the current organization.


List invitations

GET
https://api.gerri.commonpaper.com
/v1/organizations/{organization_id}/invitations

Lists invitations for the current organization, newest first. Each item includes the invitee email and name, who invited them (invited_by_email), and membership-related timestamps.

List invitations › path Parameters

organization_id
​string · uuid · required

Organization id

List invitations › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

List invitations › Responses

Invitations for the organization (may be an empty array)

InvitationsListResponse
​InvitationResource[] · required
GET/v1/organizations/{organization_id}/invitations
curl https://api.gerri.commonpaper.com/v1/organizations/:organization_id/invitations \ --header 'Authorization: Bearer <token>'
Example Responses
{ "data": [ { "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "type": "invitation", "attributes": { "created_at": "2026-05-10T14:22:01.000Z", "updated_at": "2026-05-10T14:22:01.000Z", "accepted_at": null, "organization_id": "79d7ae9b-9499-4c36-af51-8a87e13ab74e", "invited_user_id": "c2d3e4f5-a6b7-8901-bcde-f12345678901", "invited_by_id": "b1a2c3d4-e5f6-7890-abcd-ef1234567890", "email": "test@example.com", "name": "New Colleague", "invited_by_email": "admin@example.com" } } ] }
json
application/json

Create an invitation

POST
https://api.gerri.commonpaper.com
/v1/organizations/{organization_id}/invitations

Invites a user to the current organization by email. If no user exists with that email, one is created (using optional name). The invitee is added as an organization member and receives an invitation email. email is required and must be a valid address; the email must not already belong to a member of the organization.

Create an invitation › path Parameters

organization_id
​string · uuid · required

Organization id

Create an invitation › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Create an invitation › Request Body

CreateInvitationBody
email
​string · email · required

Address to invite; must not already belong to a member of the organization.

name
​string

Optional display name when a new user record is created for this email.

Create an invitation › Responses

Invitation created; returns the new invitation resource

InvitationResponse
​InvitationResource · required
POST/v1/organizations/{organization_id}/invitations
curl https://api.gerri.commonpaper.com/v1/organizations/:organization_id/invitations \ --request POST \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "email": "test@example.com" }'
Example Request Body
{ "email": "test@example.com" }
json
application/json
Example Responses
{ "data": { "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "type": "invitation", "attributes": { "created_at": "2026-05-10T14:22:01.000Z", "updated_at": "2026-05-10T14:22:01.000Z", "accepted_at": null, "organization_id": "79d7ae9b-9499-4c36-af51-8a87e13ab74e", "invited_user_id": "c2d3e4f5-a6b7-8901-bcde-f12345678901", "invited_by_id": "b1a2c3d4-e5f6-7890-abcd-ef1234567890", "email": "test@example.com", "name": "New Colleague", "invited_by_email": "admin@example.com" } } }
json
application/json

Retrieve an invitation

GET
https://api.gerri.commonpaper.com
/v1/organizations/{organization_id}/invitations/{invitation_id}

Shows one invitation for the current organization (by id).

Retrieve an invitation › path Parameters

organization_id
​string · uuid · required

Organization id

invitation_id
​string · uuid · required

Invitation id

Retrieve an invitation › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Retrieve an invitation › Responses

A single invitation

InvitationResponse
​InvitationResource · required
GET/v1/organizations/{organization_id}/invitations/{invitation_id}
curl https://api.gerri.commonpaper.com/v1/organizations/:organization_id/invitations/:invitation_id \ --header 'Authorization: Bearer <token>'
Example Responses
{ "data": { "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "type": "invitation", "attributes": { "created_at": "2026-05-10T14:22:01.000Z", "updated_at": "2026-05-10T14:22:01.000Z", "accepted_at": null, "organization_id": "79d7ae9b-9499-4c36-af51-8a87e13ab74e", "invited_user_id": "c2d3e4f5-a6b7-8901-bcde-f12345678901", "invited_by_id": "b1a2c3d4-e5f6-7890-abcd-ef1234567890", "email": "test@example.com", "name": "New Colleague", "invited_by_email": "admin@example.com" } } }
json
application/json

Playbook RulesOrganization